| Home | Libraries | People | FAQ | More

## Class bad_alloc

boost::interprocess::bad_alloc

## Synopsis

    // In header: <boost/interprocess/exceptions.hpp>

    class bad_alloc : public boost::interprocess::interprocess_exception {
    public:
      // construct/copy/destruct
      bad_alloc();

      // public member functions
      virtual const char * what() const;
    };

## Description

This exception is thrown when a memory request can't be fulfilled.

### `bad_alloc` public construct/copy/destruct

1.     bad_alloc();

### `bad_alloc` public member functions

1.     virtual const char * what() const;